#
# spec file for package python-cl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cl
Version:        0.0.3
Release:        bp155.2.10
Summary:        Kombu actor framework
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://github.com/ask/cl/
Source:         https://files.pythonhosted.org/packages/source/c/cl/cl-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  python-rpm-macros
Requires:       python-kombu
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Actor framework for Kombu

%prep
%setup -q -n cl-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README examples
%{python_sitelib}/*

%changelog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Tue Apr 16 2013 p.drouand@gmail.com
- Remove BuildRequires: python-2to3, useless since included in main
  python devel package
- Add Requires: python3; fix build for OpenSUSE <= 12.2
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Mar 10 2012 saschpe@gmx.de
- Initial version
